> ## Documentation Index
> Fetch the complete documentation index at: https://developer.embedly.ng/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Customer

> This endpoint enables you to create a customer profile.

# Create Customer

Use this endpoint to create profile for an individual.

<Info>
  Once a customer profile is created, you are required to provide the customer's
  BVN and NIN via the KYC endpoints. **Please note**: A customer must attain a
  KYC Tier 1 status before an open wallet can be created for them.
</Info>

<Warn>
  It is standard practice to save the returned customerId once you have
  successfully created a customer. This reduces the number of api calls you have
  to make to embedly to perform certain actions thereby improving the speed of
  your application
</Warn>

***

## Request Parameters

<ParamField body="organizationId" type="string" required />

<ParamField body="firstName" type="string" required>
  The first name of the individual. **Example:** `John`
</ParamField>

<ParamField body="lastName" type="string" required>
  The last name of the individual. **Example:** `Doe`
</ParamField>

<ParamField body="middleName" type="string" required>
  The middle name of the individual. **Example:** `Michael`
</ParamField>

<ParamField body="emailAddress" type="string">
  The individual's email address. This is only required if the organisation is
  an Open Organization. **Example:** `john.doe@example.com`
</ParamField>

<ParamField body="mobileNumber" type="string">
  The individual's phone number. This is only required if the organisation is an
  Open Organization. **Example:** `08012345678`
</ParamField>

<ParamField body="dob" type="string" required>
  The individual's date of birth in `YYYY-MM-DD` format. **Example:**
  `1980-01-01`
</ParamField>

<ParamField body="customerTypeId" type="string" required>
  The type of customer. *(Must be a UUID)* **Example:
  f671da57-e281-4b40-965f-a96f4205405e** `The value should be gotten from the
      get customer types endpoint in the customer utils section`
</ParamField>

<ParamField body="address" type="string" required>
  The customer's residential street. **Example:** `20 Marina`
</ParamField>

<ParamField body="city" type="string" required>
  The customer's residential city. **Example:** `Lagos`
</ParamField>

<ParamField body="countryId" type="string" required>
  The unique identifier of the customer's nationality. *(Must be a UUID)*
  **Example: f671da57-e281-4b40-965f-a96f4205405e** `The value should be gotten
      from the get countries endpoint in the customer utils section`
</ParamField>

<ParamField body="alias" type="string" />

<ResponseExample>
  ```json 200 Success theme={null}
  {
    "code": "00",
    "success": true,
    "message": "Created Successfully",
    "data": {
      "id": "788859f5-d3b2-11f0-97df-02789e000022",
      "organizationId": "0075b72d-6648-11f0-a7cf-0274f77d4a81",
      "firstName": "string",
      "lastName": "string",
      "middleName": "string",
      "dob": "2025-12-05T10:57:13",
      "customerTypeId": "f671da57-e281-4b40-965f-a96f4205405e",
      "customerTierId": 0,
      "alias": null,
      "countryId": "c15ad9ae-c4d7-4342-b70f-de5508627e3b",
      "city": "string",
      "address": "string",
      "mobileNumber": "08039494859",
      "emailAddress": "string@gmail.com",
      "dateCreated": null,
      "isCorporateVerified": ""
    }
  }
  ```
</ResponseExample>
